Reconciliation
Register Reconciliation Endpoint
POST
/
v1
/
apiregistry
/
reconciliation
/
register
Register Reconciliation Endpoint
curl --request POST \
--url https://api.researchdesk.com/v1/apiregistry/reconciliation/register \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"api_endpoint": "https://mydomain.com/api/reconciliation",
"api_key": "{api_key}"
}
'import requests
url = "https://api.researchdesk.com/v1/apiregistry/reconciliation/register"
payload = {
"api_endpoint": "https://mydomain.com/api/reconciliation",
"api_key": "{api_key}"
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({api_endpoint: 'https://mydomain.com/api/reconciliation', api_key: '{api_key}'})
};
fetch('https://api.researchdesk.com/v1/apiregistry/reconciliation/register', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Status": 0,
"Message": "Registration successful"
}Registers the endpoint that should receive reconciliation pushes. Reconciliations are pushed to your endpoint on an ongoing basis, batched every two hours.
See the Reconciliation Push guide for the full webhook flow and an example push payload.
Request Body
| Field | Description | Required |
|---|---|---|
api_endpoint | The HTTPS endpoint that will receive reconciliation pushes. | Yes |
api_key | A value of your choosing. It will be sent as the x-api-key header on every push to your registered endpoint. | Yes |
Headers
Your obfuscated Supply API key (GUID), provided by Rep Data.
Body
application/json
Was this page helpful?
Register Reconciliation Endpoint
